# H225_ServiceControlIndication_callSpecific Class Reference

`#include <h225.h>`

Inheritance diagram for H225_ServiceControlIndication_callSpecific:

List of all members.

## Public Member Functions

| H225_ServiceControlIndication_callSpecific (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

H225_CallIdentifier | m_callIdentifier
H225_ConferenceIdentifier | m_conferenceID
PASN_Boolean | m_answeredCall

## Constructor & Destructor Documentation

H225_ServiceControlIndication_callSpecific::H225_ServiceControlIndication_callSpecific | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H225_ServiceControlIndication_callSpecific::GetDataLength | ( |  | ) | const

PBoolean H225_ServiceControlIndication_callSpecific::Decode | ( | PASN_Stream & | strm | ) |

void H225_ServiceControlIndication_callSpecific::Encode | ( | PASN_Stream & | strm | ) | const

void H225_ServiceControlIndication_callSpecific::PrintOn | ( | ostream & | strm | ) | const

Comparison H225_ServiceControlIndication_callSpecific::Compare | ( | const PObject & | obj | ) | const

PObject* H225_ServiceControlIndication_callSpecific::Clone | ( |  | ) | const

## Member Data Documentation

H225_CallIdentifier H225_ServiceControlIndication_callSpecific::m_callIdentifier

H225_ConferenceIdentifier H225_ServiceControlIndication_callSpecific::m_conferenceID

PASN_Boolean H225_ServiceControlIndication_callSpecific::m_answeredCall

The documentation for this class was generated from the following file:

- h225.h